Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbEntityListeners

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbEntityListeners

    public class JaxbEntityListeners

extends Object

Field Summary
`protected List<JaxbEntityListener>` | `entityListener`

Constructor Summary
`JaxbEntityListeners()`

Method Summary
`List<JaxbEntityListener>` | `getEntityListener()` Gets the value of the entityListener property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityListener

    protected List<JaxbEntityListener> entityListener

Constructor Detail

### JaxbEntityListeners

    public JaxbEntityListeners()

Method Detail

### getEntityListener

    public List<JaxbEntityListener> getEntityListener()

  Gets the value of the entityListener property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the entityListener property.

  For example, to add a new item, do as follows:

          getEntityListener().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbEntityListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.